<?php

namespace App\Repositories;

use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Interface ProductRepository.
 *
 * @package namespace App\Repositories;
 */
interface ProductRepository extends RepositoryInterface
{
    public function indexPage();

    public function createPage();

    public function editPage($id);

    public function create($data);

    public function update($data, $id);

    public function delete($id);

    public function getById($id);

    public function getAllProducts();

    public function indexView();

}
